//
//  AMTableDataSourceArrayController.m
//  A sorting, rearrangeable NSArrayController subclass
//
//  Created by Andrew Merenbach on 7/24/07.
//  Copyright 2007 Andrew Merenbach. All rights reserved.
//

//  Many thanks to mmalc on Cocoa-Dev for the template used in this code!

#import "AMTableDataSourceArrayController.h"

NSString *AMTableDataSourceAddedObjectNotification = @"AMTableDataSourceAddedObject";
NSString *AMTableDataSourceRemovedObjectNotification = @"AMTableDataSourceRemovedObject";


@implementation AMTableDataSourceArrayController

/*- (void)noteContentChanged:(NSNotification *)aNotification {
	[self rearrangeObjects];
}*/

- (id)init {
	if (nil != (self = [super init])) {
	}
	return self;
}

- (id)initWithContent:(id)content {
	if (nil != (self = [super initWithContent:content])) {
	}
	return self;
}

- (id)initWithCoder:(NSCoder *)aDecoder {
	if (nil != (self = [super initWithCoder:aDecoder])) {
	}
	return self;
}

- (void)objectDidEndEditing:(id)editor {
	[super objectDidEndEditing:editor];
	[self rearrangeObjects];
}

- (void)addObject:(id)object {
	[super addObject:object];
	[self rearrangeObjects];
	[[NSNotificationCenter defaultCenter] postNotificationName:AMTableDataSourceAddedObjectNotification object:self];
}

- (void)removeObject:(id)object {
	[super removeObject:object];
	[self rearrangeObjects];	// in case we renumber or anything like that
	[[NSNotificationCenter defaultCenter] postNotificationName:AMTableDataSourceRemovedObjectNotification object:self];
}

- (void)awakeFromNib
{
	[tableView setAllowsMultipleSelection:YES];
	[super awakeFromNib];
}

- (int)numberOfRowsInTableView:(NSTableView *)aTableView
{
	return 0;
}

- (id)tableView:(NSTableView *)aTableView
	objectValueForTableColumn:(NSTableColumn *)aTableColumn
	row:(int)rowIndex
{
	return nil;
}

@end