//
//  AMTableView.h
//  A subclass of NSTableView
//
//  Created by Andrew Merenbach on 1/1/07.
//  Copyright 2007 Andrew Merenbach. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface AMTableView : NSTableView {
	BOOL consumedKeyDown;
	
	BOOL AM_spaceBarAdds;
	BOOL AM_returnKeyAdds;
	BOOL AM_deleteKeyRemoves;
	
	BOOL AM_spaceBarSendsDoubleAction;
	BOOL AM_returnKeySendsDoubleAction;
}

- (id)init;
- (id)initWithFrame:(NSRect)frameRect;
- (id)initWithCoder:(NSCoder *)aDecoder;

@end

@interface AMTableView (KeyDownOperations)

- (void)keyDown:(NSEvent *)event;
- (void)doCommandBySelector:(SEL)selector;

@end

@interface AMTableView (DataMethods)

- (void)delete:(id)sender;
- (void)deleteBackward:(id)sender;
- (void)deleteForward:(id)sender;

- (void)insertNewline:(id)sender;
- (void)insertText:(id)aString;

@end

@interface AMTableView (Accessors)

- (BOOL)spaceBarAdds;
- (void)setSpaceBarAdds:(BOOL)flag;
- (BOOL)returnKeyAdds;
- (void)setReturnKeyAdds:(BOOL)flag;
- (BOOL)deleteKeyRemoves;
- (void)setDeleteKeyRemoves:(BOOL)flag;

- (BOOL)spaceBarSendsDoubleAction;
- (void)setSpaceBarSendsDoubleAction:(BOOL)flag;
- (BOOL)returnKeySendsDoubleAction;
- (void)setReturnKeySendsDoubleAction:(BOOL)flag;

@end
